summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorormorph <roma251078@mail.ru>2022-07-31 12:51:48 +0200
committerormorph <roma251078@mail.ru>2022-07-31 22:36:56 +0200
commit847ca6ea8c55e74c3f482436c7644a607e332c8c (patch)
tree1dbdb160093f718030aebdb01f6f721ddae9cc0d
parentae313c93bef118ad0c5c13e9472cef082fb150d9 (diff)
downloadtde-packaging-gentoo-847ca6ea.tar.gz
tde-packaging-gentoo-847ca6ea.zip
Added python-tqt packages and fixed shortcomings
Signed-off-by: ormorph <roma251078@mail.ru>
-rw-r--r--dev-python/python-tqt/metadata.xml8
-rw-r--r--dev-python/python-tqt/python-tqt-9999.ebuild66
-rw-r--r--dev-python/sip4-tqt/metadata.xml8
-rw-r--r--dev-python/sip4-tqt/sip4-tqt-9999.ebuild48
-rw-r--r--x11-libs/tqscintilla/tqscintilla-14.0.12.ebuild39
-rw-r--r--x11-libs/tqscintilla/tqscintilla-9999.ebuild41
6 files changed, 145 insertions, 65 deletions
diff --git a/dev-python/python-tqt/metadata.xml b/dev-python/python-tqt/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/dev-python/python-tqt/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/dev-python/python-tqt/python-tqt-9999.ebuild b/dev-python/python-tqt/python-tqt-9999.ebuild
new file mode 100644
index 00000000..9baf1183
--- /dev/null
+++ b/dev-python/python-tqt/python-tqt-9999.ebuild
@@ -0,0 +1,66 @@
+# Copyright 2022 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+TRINITY_MODULE_TYPE="dependencies"
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit trinity-base-2 python-single-r1 flag-o-matic
+
+DESCRIPTION="TQt bindings for Python"
+LICENSE="GPL-2"
+SLOT="0"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+IUSE="examples"
+
+DEPEND="${PYTHON_DEPS}
+ ~dev-python/sip4-tqt-${PV}
+ ~x11-libs/tqscintilla-${PV}
+ ~dev-tqt/tqtinterface-${PV}
+"
+RDEPEND="${DEPEND}"
+
+TQBASE="/usr/tqt3"
+BUILD_DIR="${S}"
+
+src_prepare() {
+ eapply_user
+}
+
+src_configure() {
+ append-cflags "-I/usr/include/tqt -I/${TQBASE}/include"
+ append-cxxflags "-I/usr/include/tqt -I/${TQBASE}/include"
+ local myconf
+ myconf=(
+ -g "${TQBASE}/include"
+ -q "${TQBASE}"
+ -y tqt-mt
+ -o "${TQBASE}/$(get_libdir)" -u -j 10
+ -d "$(python_get_sitedir)/python_tqt"
+ -v "${TQBASE}/sip/tqt"
+ -b "${TQBASE}/bin"
+ -w
+ )
+ echo yes | "${EPYTHON}" configure.py "${myconf[@]}" CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}"|| die
+}
+
+src_compile() {
+ emake
+}
+
+src_install() {
+ emake install DESTDIR="${D}"
+ if use examples ; then
+ insinto "${TQBASE}/share/python-tqt/examples"
+ doins examples/*
+ local EDIR
+ for EDIR in SQL canvas i18n webbrowser
+ do
+ insinto "${TQBASE}/share/python-tqt/examples/${EDIR}"
+ doins "examples/${EDIR}"/*
+ done
+ fi
+}
diff --git a/dev-python/sip4-tqt/metadata.xml b/dev-python/sip4-tqt/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/dev-python/sip4-tqt/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/dev-python/sip4-tqt/sip4-tqt-9999.ebuild b/dev-python/sip4-tqt/sip4-tqt-9999.ebuild
new file mode 100644
index 00000000..135d69d8
--- /dev/null
+++ b/dev-python/sip4-tqt/sip4-tqt-9999.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2022 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+TRINITY_MODULE_TYPE="dependencies"
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit trinity-base-2 python-single-r1 flag-o-matic
+
+DESCRIPTION="Python/C++ bindings generator runtime library"
+LICENSE="|| ( GPL-2 GPL-3 SIP )"
+SLOT="0"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+IUSE=""
+
+DEPEND="${PYTHON_DEPS}
+ ~x11-libs/tqscintilla-${PV}
+ ~dev-tqt/tqtinterface-${PV}
+"
+RDEPEND="${DEPEND}"
+
+TQTDIR="/usr/tqt3"
+BUILD_DIR="${S}"
+
+src_prepare() {
+ eapply_user
+}
+
+src_configure() {
+ local myconf
+ append-cflags "-I/usr/include/tqt -I/${TQTDIR}/include"
+ myconf=(
+ -b "${TDEDIR}/bin"
+ -e "${TDEDIR}/include"
+ )
+ echo yes | "${EPYTHON}" configure.py "${myconf[@]}" CFLAGS="${CFLAGS}" || die
+}
+
+src_compile() {
+ emake
+}
+
+src_install() {
+ emake install DESTDIR="${D}"
+}
diff --git a/x11-libs/tqscintilla/tqscintilla-14.0.12.ebuild b/x11-libs/tqscintilla/tqscintilla-14.0.12.ebuild
index db381aba..76c1ace2 100644
--- a/x11-libs/tqscintilla/tqscintilla-14.0.12.ebuild
+++ b/x11-libs/tqscintilla/tqscintilla-14.0.12.ebuild
@@ -22,37 +22,12 @@ RDEPEND="${DEPEND}"
TQBASE="/usr/tqt3"
-src_prepare() {
- sed -i -e "s|include/tqt|include/tqt ${TQBASE}/include|" "${S}/qt/qscintilla.pro" || die
- eapply_user
-}
-
src_configure() {
- echo 'QMAKE_CXXFLAGS += -std=c++98' >>"designer/designer.pro"
- echo 'QMAKE_LIBS += -L${S}/lib' >>"designer/designer.pro"
- pushd qt || die
- tqmake "DESTDIR=${S}/lib" || die
- popd
- pushd designer || die
- tqmake || die
- popd
-}
-
-src_compile() {
- emake -C qt
- emake -C designer
-}
-
-src_install() {
- emake install INSTALL_ROOT="${D}" -C qt install
- insinto "${TQBASE}/$(get_libdir)"
- insopts "-m 0755"
- doins lib/*
- insinto "${TQBASE}/plugins/designer"
- doins designer/*.so
- insopts "-m 0644"
- insinto "${TQBASE}/include/private"
- doins include/*.h
- insinto "${TDEDIR}/share/doc/tde/HTML/en/tqscintilla"
- doins doc/html/*
+ local mycmakeargs
+ mycmakeargs=(
+ -DCMAKE_INSTALL_PREFIX="${EPREFIX}${TQBASE}"
+ -DHTML_INSTALL_DIR="${TDEDIR}/share/doc/tde/HTML"
+ -DBUILD_ALL=ON
+ )
+ trinity-base-2_src_configure
}
diff --git a/x11-libs/tqscintilla/tqscintilla-9999.ebuild b/x11-libs/tqscintilla/tqscintilla-9999.ebuild
index fa04832e..89a1e87b 100644
--- a/x11-libs/tqscintilla/tqscintilla-9999.ebuild
+++ b/x11-libs/tqscintilla/tqscintilla-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2021 The Trinity Desktop Project
+# Copyright 2022 The Trinity Desktop Project
# Distributed under the terms of the GNU General Public License v2
EAPI="8"
@@ -22,37 +22,12 @@ RDEPEND="${DEPEND}"
TQBASE="/usr/tqt3"
-src_prepare() {
- sed -i -e "s|include/tqt|include/tqt ${TQBASE}/include|" "${S}/qt/qscintilla.pro" || die
- eapply_user
-}
-
src_configure() {
- echo 'QMAKE_CXXFLAGS += -std=c++98' >>"designer/designer.pro"
- echo 'QMAKE_LIBS += -L${S}/lib' >>"designer/designer.pro"
- pushd qt || die
- tqmake "DESTDIR=${S}/lib" || die
- popd
- pushd designer || die
- tqmake || die
- popd
-}
-
-src_compile() {
- emake -C qt
- emake -C designer
-}
-
-src_install() {
- emake install INSTALL_ROOT="${D}" -C qt install
- insinto "${TQBASE}/$(get_libdir)"
- insopts "-m 0755"
- doins lib/*
- insinto "${TQBASE}/plugins/designer"
- doins designer/*.so
- insopts "-m 0644"
- insinto "${TQBASE}/include/private"
- doins include/*.h
- insinto "${TDEDIR}/share/doc/tde/HTML/en/tqscintilla"
- doins doc/html/*
+ local mycmakeargs
+ mycmakeargs=(
+ -DCMAKE_INSTALL_PREFIX="${EPREFIX}${TQBASE}"
+ -DHTML_INSTALL_DIR="${TDEDIR}/share/doc/tde/HTML"
+ -DBUILD_ALL=ON
+ )
+ trinity-base-2_src_configure
}